<?php

// Plugin info -------------------------------------------------------------------------------------------------------
$eplug_name = "Alternative Profiles";
$eplug_version = "0.3";
$eplug_author = "Paul Blundell";
$eplug_logo = "images/logo.jpg";
$eplug_url = "http://boreded.co.uk";
$eplug_email = "mail@boreded.co.uk";
$eplug_description = "An Alternative user profiles page";
$eplug_compatible = "e107v6+";
$eplug_readme = "readme.txt";        // leave blank if no readme file

// Name of the plugin's folder -------------------------------------------------------------------------------------
$eplug_folder = "alternate_profiles";

// Mane of menu item for plugin ----------------------------------------------------------------------------------
$eplug_menu_name = "alternateprofiles_menu";

// Name of the admin configuration file --------------------------------------------------------------------------
$eplug_conffile = "admin_menu.php";

// Icon image and caption text ------------------------------------------------------------------------------------
$eplug_icon = $eplug_folder."/images/logo.jpg";
$eplug_caption =  "Configure your plugin";


// List of preferences -----------------------------------------------------------------------------------------------
$eplug_prefs = array(
	"profile_comments" => 5,
	"profile_allowguests" => 'No',
	"profile_maxuploadsize" => '1000',
	"profile_avatarwidth" => '100',
	"profile_avatarheight" => '100',
	"profile_custdisplay" => 'Both Versions',
	"profile_bgimage" => 'No',
	"profile_indmaxuploadsize" => '1000',
	"profile_maxnovids" => '10',
	"profile_friends" => 'ON',
	"profile_pics" => 'ON',
	"profile_videos" => 'ON',
	"profile_commentson" => 'ON',
	"profile_stats" => 'ON',
	"profile_buttontype" => 'No',
	"profile_redirect" => 'Yes',
	"profile_mp3enabled" => 'OFF',
	"profile_mp3" => 'Both',
	"profile_mp3size" => '1000',
	"profile_updateddirection" => 'Vertical',
	"profile_updatedtotal" => '5',
	"profile_customboxes_detail" => '||Mood-(Happy,Sad,Angry,Disapointed,Normal)||Status-(Hidden,Single and Looking,Single,In a relationship,Married,Divorced,Widowed)||Orientation-(Hidden,Straight,Gay,Lesbian,Bisexual)||Hometown||Ethnicity-(Hidden,Black,White,Mixed,Other)||Occupation',
	"profile_customboxes_interests" => '||Music||Films/Television||Favourite_Books'
);



// List of table names -----------------------------------------------------------------------------------------------
$eplug_table_names = array("alternate_profiles", "alternate_profiles_com", "alternate_profiles_vids");


// List of sql requests to create tables -----------------------------------------------------------------------------
$timestamp = time();

$eplug_tables = array("
CREATE TABLE `".MPREFIX."alternate_profiles` (
  `user_id` int(5) NOT NULL default '0',
  `user_custompage` text NOT NULL,
  `user_background` varchar(255) NOT NULL default '',
  `user_friends` varchar(255) NOT NULL default '',
  `user_friends_request` varchar(255) NOT NULL default '',
  `user_settings` varchar(50) NOT NULL default '',
  `user_simple` int(1) NOT NULL default '1',
  `user_lastviewed` text NOT NULL,
  `user_totalviews` int(10) NOT NULL default '0',
  `user_lastupdated` int(11) NOT NULL default '0',
  `user_mp3` text NOT NULL,
  PRIMARY KEY  (`user_id`)
);","
CREATE TABLE `".MPREFIX."alternate_profiles_com` (
  `com_id` int(10) NOT NULL auto_increment,
  `com_by` int(10) NOT NULL default '0',
  `com_to` int(10) NOT NULL default '0',
  `com_message` text NOT NULL,
  `com_date` varchar(55) NOT NULL default '',
  `com_type` varchar(4) NOT NULL default '',
  `com_extra` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`com_id`)
);","
CREATE TABLE `".MPREFIX."alternate_profiles_vids` (
  `vid_id` int(10) NOT NULL auto_increment,
  `vid_uid` int(10) NOT NULL default '0',
  `vid_name` varchar(30) NOT NULL default '',
  `vid_desc` varchar(255) NOT NULL default '',
  `vid_embed` varchar(600) NOT NULL default '',
  `vid_added` varchar(55) NOT NULL default '',
  PRIMARY KEY  (`vid_id`)
);");

// Create a link in main menu (yes=TRUE, no=FALSE) -------------------------------------------------------------
$eplug_link = FALSE;


// Text to display after plugin successfully installed ------------------------------------------------------------------
$eplug_done = "Installation completed successful.";


// upgrading ... //
$ep_sql = new db();
if($ep_sql->db_Select("plugin", "plugin_version", "plugin_name='Alternative Profiles'")) {
   $ep_row = $ep_sql->db_Fetch();
} else {
   $ep_row = array("plugin_version" => "0");
}


if($ep_row["plugin_version"] <= "0.2.5") {
$upgrade_add_prefs = array(
	"profile_avatarwidth" => '100',
	"profile_avatarheight" => '100',
	"profile_custdisplay" => 'Both Versions',
	"profile_bgimage" => 'No',
	"profile_indmaxuploadsize" => '1000',
	"profile_maxnovids" => '10',
	"profile_friends" => 'ON',
	"profile_pics" => 'ON',
	"profile_videos" => 'ON',
	"profile_commentson" => 'ON',
	"profile_stats" => 'ON',
	"profile_buttontype" => 'No',
	"profile_redirect" => 'Yes',
	"profile_mp3enabled" => 'OFF',
	"profile_mp3" => 'Both',
	"profile_mp3size" => '1000',
	"profile_updateddirection" => 'Vertical',
	"profile_updatedtotal" => '5',
	"profile_customboxes_detail" => '||Mood-(Happy,Sad,Angry,Disapointed,Normal)||Status-(Hidden,Single and Looking,Single,In a relationship,Married,Divorced,Widowed)||Orientation-(Hidden,Straight,Gay,Lesbian,Bisexual)||Hometown||Ethnicity-(Hidden,Black,White,Mixed,Other)||Occupation',
	"profile_customboxes_interests" => '||Music||Films/Television||Favourite_Books'
);
} else {
$upgrade_add_prefs = array(
	"profile_stats" => 'ON',
	"profile_buttontype" => 'No',
	"profile_redirect" => 'Yes',
	"profile_mp3enabled" => 'OFF',
	"profile_mp3" => 'Both',
	"profile_mp3size" => '1000',
	"profile_updateddirection" => 'Vertical',
	"profile_updatedtotal" => '5',
	"profile_customboxes_detail" => '||Mood-(Happy,Sad,Angry,Disapointed,Normal)||Status-(Hidden,Single and Looking,Single,In a relationship,Married,Divorced,Widowed)||Orientation-(Hidden,Straight,Gay,Lesbian,Bisexual)||Hometown||Ethnicity-(Hidden,Black,White,Mixed,Other)||Occupation',
	"profile_customboxes_interests" => '||Music||Films/Television||Favourite_Books'
);
}

$upgrade_remove_prefs = array(
	"profile_moodchoices" => 'Normal|Sad|Happy|Angry|Dissapointed|Boreded',
	"profile_statuschoices" => 'Hidden|Single|Single and Looking|In a Relationship|Married|Divorced|Widowed',
	"profile_orienchoices" => 'Hidden|Straight|Gay|Lesbian|BiSexual',
	"profile_ethnicitychoices" => 'Hidden|Black|White|Mixed'
);

$upgrade_alter_tables   = array ();

if (!mysql_query("SELECT user_background FROM ".MPREFIX."alternate_profiles LIMIT 0")) {
array_push($upgrade_alter_tables, "ALTER TABLE ".MPREFIX."alternate_profiles ADD user_background varchar(255) NOT NULL default '' AFTER user_custompage");
}
if (!mysql_query("SELECT user_settings FROM ".MPREFIX."alternate_profiles LIMIT 0")) {
array_push($upgrade_alter_tables, "ALTER TABLE ".MPREFIX."alternate_profiles  ADD user_settings varchar(50) NOT NULL default 0 AFTER user_friends_request");
}
if (mysql_query("SELECT user_display FROM ".MPREFIX."alternate_profiles LIMIT 0")) {
array_push($upgrade_alter_tables, "ALTER TABLE ".MPREFIX."alternate_profiles DROP user_display");
}
if (!mysql_query("SELECT com_type FROM ".MPREFIX."alternate_profiles_com LIMIT 0")) {
array_push($upgrade_alter_tables, "ALTER TABLE ".MPREFIX."alternate_profiles_com  ADD com_type varchar(4) NOT NULL default 'prof' AFTER com_date");
}
if (!mysql_query("SELECT com_extra FROM ".MPREFIX."alternate_profiles_com LIMIT 0")) {
array_push($upgrade_alter_tables, "ALTER TABLE ".MPREFIX."alternate_profiles_com  ADD com_extra varchar(255) NOT NULL default '' AFTER com_type");
}
if (!mysql_query("SELECT user_simple FROM ".MPREFIX."alternate_profiles LIMIT 0")) {
array_push($upgrade_alter_tables, "ALTER TABLE ".MPREFIX."alternate_profiles  ADD user_simple int(1) NOT NULL default '1' AFTER user_settings");
}
if (!mysql_query("SELECT user_lastviewed FROM ".MPREFIX."alternate_profiles LIMIT 0")) {
array_push($upgrade_alter_tables, "ALTER TABLE ".MPREFIX."alternate_profiles  ADD user_lastviewed TEXT NOT NULL AFTER user_simple");
array_push($upgrade_alter_tables, "ALTER TABLE ".MPREFIX."alternate_profiles  ADD user_totalviews int(10) NOT NULL default '0' AFTER user_lastviewed");
array_push($upgrade_alter_tables, "ALTER TABLE ".MPREFIX."alternate_profiles  ADD user_lastupdated int(11) NOT NULL default '0' AFTER user_totalviews");
}
if (!mysql_query("SELECT user_mp3 FROM ".MPREFIX."alternate_profiles LIMIT 0")) {
array_push($upgrade_alter_tables, "ALTER TABLE ".MPREFIX."alternate_profiles  ADD user_mp3 text NOT NULL AFTER user_lastupdated");
}
if (!mysql_query("SELECT * FROM ".MPREFIX."alternate_profiles_vids LIMIT 0")) {
array_push($upgrade_alter_tables, "CREATE TABLE `".MPREFIX."alternate_profiles_vids` (
  `vid_id` int(10) NOT NULL auto_increment,
  `vid_uid` int(10) NOT NULL default '0',
  `vid_name` varchar(30) NOT NULL default '',
  `vid_desc` varchar(255) NOT NULL default '',
  `vid_embed` varchar(600) NOT NULL default '',
  `vid_added` varchar(55) NOT NULL default '0',
  PRIMARY KEY  (`vid_id`)
);");

}


$eplug_upgrade_done = "Upgrade completed sucessfully!<br><br>Please make sure you have read the <a href='".e_PLUGIN."alternate_profiles/readme.txt' target='_blank'>README</a> and then You <b>MUST</b> <a href='".e_PLUGIN."alternate_profiles/db_upgrade.php' target='_blank'>CLICK HERE</a> to update users current profiles to work with the new system.";


?>
