<?php
/*
+ ----------------------------------------------------------------------------+
|     e107 website system
|
|     Steve Dunstan 2001-2002
|     http://e107.org
|     jalist@e107.org
|
|     Released under the terms and conditions of the
|     GNU General Public License (http://gnu.org).
|
|     $Source: /cvsroot/e107/e107_0.7/usersettings.php,v $
|     $Revision: 1.94 $
|     $Date: 2007/09/18 19:12:17 $
|     $Author: e107steved $
+----------------------------------------------------------------------------+
*/

require_once("../../class2.php");
require_once(e_HANDLER."ren_help.php");
require_once(e_LANGUAGEDIR."/".e_LANGUAGE."/lan_usersettings.php");
if(file_exists(e_PLUGIN."alternate_profiles/language/".e_LANGUAGE.".php")){
	require_once(e_PLUGIN."alternate_profiles/language/".e_LANGUAGE.".php");
}
else{
	require_once(e_PLUGIN."alternate_profiles/language/English.php");
}
define("e_PAGETITLE", TITLE_PROFILE_2);
require_once(e_HANDLER."user_extended_class.php");
$ue = new e107_user_extended;

if (isset($_POST['sub_news']))
{
    header("location:".e_BASE."submitnews.php");
    exit;
}

if (isset($_POST['sub_link'])) {
    header("location:".e_PLUGIN."links_page/links.php?submit");
    exit;
}

if (isset($_POST['sub_download'])) {
    header("location:".e_BASE."upload.php");
    exit;
}

if (isset($_POST['sub_article'])) {
    header("location:".e_BASE."subcontent.php?article");
    exit;
}

if (isset($_POST['sub_review'])) {
    header("location:".e_BASE."subcontent.php?review");
    exit;
}

if (!USER) {
    header("location:".e_BASE."index.php");
    exit;
}

if (!ADMIN && e_QUERY && e_QUERY != "update") {
    header("location:".e_BASE."usersettings.php");
    exit;
}

require_once(e_HANDLER."ren_help.php");

if(is_readable(THEME."usersettings_template.php"))
{
	include_once(THEME."usersettings_template.php");
}
else
{
	include_once(e_THEME."templates/usersettings_template.php");
}
include_once(e_FILE."shortcode/batch/usersettings_shortcodes.php");

require_once(e_HANDLER."calendar/calendar_class.php");
$cal = new DHTML_Calendar(true);
$_uid = is_numeric(e_QUERY) ? intval(e_QUERY) : "";
$sesschange = '';						// Notice removal
$photo_to_delete = '';
$avatar_to_delete = '';

require_once(HEADERF);

// Save Form Data  --------------------------------------->

$error = "";

if (isset($_POST['updatesettings']))
{
	if(!varsettrue($pref['auth_method']) || $pref['auth_method'] == '>e107')
	{
		$pref['auth_method'] = 'e107';
	}

	if($pref['auth_method'] != 'e107')
	{
		$_POST['password1'] = '';
		$_POST['password2'] = '';
	}

	if (isset($_GET['uid']) && ADMIN)
	{	// Admin logged in and editing another user's settings - so editing a different ID
		$inp = $_GET['uid'];
		$remflag = TRUE;
	}
	else
	{	// Current user logged in - use their ID
		$inp = USERID;
	}


	// Check external avatar
	$_POST['image'] = str_replace(array('\'', '"', '(', ')'), '', $_POST['image']);   // these are invalid anyway, so why allow them? (XSS Fix)
	if ($_POST['image'] && $size = getimagesize($_POST['image'])) {
		$avwidth = $size[0];
		$avheight = $size[1];
		$avmsg = "";

		$pref['im_width'] = ($pref['im_width']) ? $pref['im_width'] : 120;
		$pref['im_height'] = ($pref['im_height']) ? $pref['im_height'] : 100;
		if ($avwidth > $pref['im_width']) {
			$avmsg .= LAN_USET_1." ($avwidth)<br />".LAN_USET_2.": {$pref['im_width']}<br /><br />";
		}
		if ($avheight > $pref['im_height']) {
			$avmsg .= LAN_USET_3." ($avheight)<br />".LAN_USET_4.": {$pref['im_height']}";
		}
		if ($avmsg) {
			$_POST['image'] = "";
			$error = $avmsg;
		}

	}

	$signup_option_title = array(LAN_308, LAN_120, LAN_121, LAN_122, LAN_USET_6);
	$signup_option_names = array("realname", "signature", "image", "timezone", "class");

	foreach($signup_option_names as $key => $value)
	{  // Check required signup fields
		if ($pref['signup_option_'.$value] == 2 && !$_POST[$value] && !$_uid)
		{
			$error .= LAN_SIGNUP_6.$signup_option_title[$key].LAN_SIGNUP_7."\\n";
		}
    }


// Login Name checks
	if (isset($_POST['loginname']))
	{  // Only check if its been edited
	  $temp_name = trim(preg_replace('/&nbsp;|\#|\=|\$/', "", strip_tags($_POST['loginname'])));
	  if ($temp_name != $_POST['loginname'])
	  {
		$error .= LAN_USET_13."\\n";
	  }
	  // Check if login name exceeds maximum allowed length
	  if (strlen($temp_name) > varset($pref['loginname_maxlength'],30))
	  {
	    $error .= LAN_USET_14."\\n";
	}
	  $_POST['loginname'] = $temp_name;
	}


// Password checks
	$pwreset = "";
	if ($_POST['password1'] != $_POST['password2']) {
		$error .= LAN_105."\\n";
	}
	else
	{
		if(trim($_POST['password1']) != "")
		{
			$pwreset = "user_password = '".md5(trim($_POST['password1']))."', ";
		}
	}

	if(isset($pref['signup_disallow_text']))
	{
		$tmp = explode(",", $pref['signup_disallow_text']);
		foreach($tmp as $disallow){
			if(strstr($_POST['username'], $disallow)){
				$error .= LAN_USET_11."\\n";
			}
		}
	}

	if (strlen(trim($_POST['password1'])) < $pref['signup_pass_len'] && trim($_POST['password1']) != "") {
		$error .= LAN_SIGNUP_4.$pref['signup_pass_len'].LAN_SIGNUP_5."\\n";
		$password1 = "";
		$password2 = "";
	}


	if (isset($pref['disable_emailcheck']) && $pref['disable_emailcheck']==1)
	{
	} else {
		if (!check_email($_POST['email']))
		{
	  		$error .= LAN_106."\\n";
		}
	}

	// Check for duplicate of email address
	if ($sql->db_Select("user", "user_name, user_email", "user_email='".$tp -> toDB($_POST['email'])."' AND user_id !='".intval($inp)."' "))
	{
	  	$error .= LAN_408."\\n";
	}


// Display name checks
	if (isset($_POST['username']))
	{
	  // Impose a minimum length on display name
	  $username = trim(strip_tags($_POST['username']));
	  if (strlen($username) < 2)
	  {
		$error .= LAN_USET_12."\\n";
	  }
	  if (strlen($username) > varset($pref['displayname_maxlength'],15))
	  {
		$error .= LAN_USET_15."\\n";
	  }

	// Display Name exists.
	  if ($sql->db_Count("user", "(*)", "WHERE `user_name`='".$username."' AND `user_id` != '".intval($inp)."' "))
	  {
		$error .= LAN_USET_17;
	  }
	}


// Uploaded avatar and/or photo
	$user_sess = "";
	if ($file_userfile['error'] != 4)
	{
		require_once(e_HANDLER."upload_handler.php");
		require_once(e_HANDLER."resize_handler.php");

		if ($uploaded = file_upload(e_FILE."public/avatars/", "avatar"))
		{
		  foreach ($uploaded as $upload)
		  {	// Needs the latest upload handler (with legacy and 'future' interfaces) to work
			if ($upload['name'] && ($upload['index'] == 'avatar') && $pref['avatar_upload'])
			{
				// avatar uploaded - give it a reference which identifies it as server-stored
				$_POST['image'] = "-upload-".$upload['name'];
				if ($_POST['image'] != $currentUser['user_image'])
				{
				  $avatar_to_delete = str_replace("-upload-", "", $currentUser['user_image']);
//				  echo "Avatar change; deleting {$avatar_to_delete}<br />";
				}
				if (!resize_image(e_FILE."public/avatars/".$upload['name'], e_FILE."public/avatars/".$upload['name'], "avatar"))
				{
					unset($message);
					$error .= RESIZE_NOT_SUPPORTED."\\n";
					@unlink(e_FILE."public/avatars/".$upload['name']);
				}
			}

			if ($upload['name'] && ($upload['index'] == 'photo') && $pref['photo_upload'] )
			{
				// photograph uploaded
				$user_sess = $upload['name'];
				if (!resize_image(e_FILE."public/avatars/".$user_sess, e_FILE."public/avatars/".$user_sess, 180))
				{
					unset($message);
					$error .= RESIZE_NOT_SUPPORTED."\\n";
					@unlink(e_FILE."public/avatars/".$user_sess);
				}
			}
		  }
		}
	}

// See if user just wants to delete existing photo
	if (isset($_POST['user_delete_photo']))
	{
	  $photo_to_delete = $currentUser['user_sess'];
	  $sesschange = "user_sess = '', ";
//	  echo "Just delete old photo: {$photo_to_delete}<br />";
	}
	elseif ($user_sess != "")
	{	// Update DB with photo
	  $sesschange = "user_sess = '".$tp->toDB($user_sess)."', ";
	  if ($currentUser['user_sess'] == $sesschange)
	  {
		$sesschange = '';			// Same photo - do nothing
//		echo "Photo not changed<br />";
	  }
	  else
	  {
		$photo_to_delete = $currentUser['user_sess'];
//		echo "Delete old photo: {$photo_to_delete}<br />";
	  }
	}


    // Validate Extended User Fields.
	if($_POST['ue'])
	{
		if($sql->db_Select('user_extended_struct'))	{
			while($row = $sql->db_Fetch())
			{
				$extList["user_".$row['user_extended_struct_name']] = $row;
			}
		}

		$ue_fields = "";
		foreach($_POST['ue'] as $key => $val)
		{
			$err = false;
			$parms = explode("^,^", $extList[$key]['user_extended_struct_parms']);
			$regex = $tp->toText($parms[1]);
			$regexfail = $tp->toText($parms[2]);
    		if(defined($regexfail)) {$regexfail = constant($regexfail);}
	  		if($val == '' && $extList[$key]['user_extended_struct_required'] == 1 && !$_uid)
			{
         		$error .= LAN_SIGNUP_6.($tp->toHtml($extList[$key]['user_extended_struct_text'],FALSE,"defs"))." ".LAN_SIGNUP_7."\\n";
	    		$err = TRUE;
			}
			if($regex != "" && $val != "")
			{
				if(!preg_match($regex, $val))
				{
               		$error .= $regexfail."\\n";
         			$err = TRUE;
	         	}
			}
			if(!$err)
			{
				$val = $tp->toDB($val);
				$ue_fields .= ($ue_fields) ? ", " : "";
				$ue_fields .= $key."='".$val."'";
				}
		}
    }



	if (!$error)
	{
		unset($_POST['password1']);
		unset($_POST['password2']);
        $_POST['user_id'] = intval($inp);
		$ret = $e_event->trigger("preuserset", $_POST);
		if(trim($_POST['user_xup']) != "")
		{
			if($sql->db_Select('user', 'user_xup', "user_id = '".intval($inp)."'"))
			{
				$row = $sql->db_Fetch();
				$update_xup = ($row['user_xup'] != $_POST['user_xup']) ? TRUE : FALSE;
			}
		}

		if ($ret == '')
		{
			$udata = get_user_data($inp);
			$peer = ($inp == USERID ? false : true);
			$loginname = strip_tags($_POST['loginname']);

			if (!$loginname)
			{
				$sql->db_Select("user", "user_loginname", "user_id='".intval($inp)."'");
				$row = $sql -> db_Fetch();
				$loginname = $row['user_loginname'];
			}
			else
			{
				if(!check_class($pref['displayname_class'], $udata['user_class'], $peer))
				{
					$new_username = "user_name = '{$loginname}', ";
					$username = $loginname;
				}
			}

			if (isset($_POST['username']) && check_class($pref['displayname_class']))
			{
				$username = strip_tags($_POST['username']);
				$username = $tp->toDB(substr($username, 0, $pref['displayname_maxlength']));
				$new_username = "user_name = '{$username}', ";
			}


			$_POST['signature'] = $tp->toDB($_POST['signature']);
			$_POST['realname'] = $tp->toDB($_POST['realname']);

			$new_customtitle = "";

			if(isset($_POST['customtitle']) && ($pref['forum_user_customtitle'] || ADMIN))
			{
				$new_customtitle = ", user_customtitle = '".$tp->toDB($_POST['customtitle'])."' ";
			}


			if($ue_fields)
			{
				$hidden_fields = implode("^", array_keys($_POST['hide']));
				if($hidden_fields != "")
				{
					$hidden_fields = "^".$hidden_fields."^";
				}
				$ue_fields .= ", user_hidden_fields = '".$hidden_fields."'";
			}

			$sql->db_Update("user", "{$new_username} {$pwreset} {$sesschange} user_email='".$tp -> toDB($_POST['email'])."', user_signature='".$_POST['signature']."', user_image='".$tp -> toDB($_POST['image'])."', user_timezone='".$tp -> toDB($_POST['timezone'])."', user_hideemail='".intval($tp -> toDB($_POST['hideemail']))."', user_login='".$_POST['realname']."' {$new_customtitle}, user_xup='".$tp -> toDB($_POST['user_xup'])."' WHERE user_id='".intval($inp)."' ");
			if ($photo_to_delete)
			{	// Photo may be a flat file, or in the database
			  delete_file($photo_to_delete);
			}
			if ($avatar_to_delete)
			{	// Avatar may be a flat file, or in the database
			  delete_file($avatar_to_delete);
			}

			// If user has changed display name, update the record in the online table
			if(isset($username) && ($username != USERNAME) && !$_uid)
			{
				$sql->db_Update("online", "online_user_id = '".USERID.".".$username."' WHERE online_user_id = '".USERID.".".USERNAME."'");
			}

			if(ADMIN && getperms("4"))
			{
				$sql -> db_Update("user", "user_loginname='".$tp -> toDB($loginname)."' WHERE user_id='".intval($inp)."' ");
			}

			if($ue_fields)
			{
				$sql->db_Select_gen("INSERT INTO #user_extended (user_extended_id, user_hidden_fields) values ('".intval($inp)."', '')");
				$sql->db_Update("user_extended", $ue_fields." WHERE user_extended_id = '".intval($inp)."'");
			}

			// Update Userclass =======
			if (!$_uid && $sql->db_Select("userclass_classes", "*", "userclass_editclass IN (".USERCLASS_LIST.")"))
			{
				$ucList = $sql->db_getList();
				if ($sql->db_Select("user", "user_class", "user_id = '".intval($inp)."'"))
				{
					$row = $sql->db_Fetch();
					$cur_classes = explode(",", $row['user_class']);
					$newclist = array_flip($cur_classes);
					foreach($ucList as $c)
					{
						$cid = $c['userclass_id'];
						if(!in_array($cid, $_POST['class']))
						{
							unset($newclist[$cid]);
						}
						else
						{
							$newclist[$cid] = 1;
						}
					}
					$newclist = array_keys($newclist);
					$nid = implode(',', array_diff($newclist, array('')));
					$sql->db_Update("user", "user_class='".$nid."' WHERE user_id='".intval($inp)."'");
				}
			}

			if($update_xup == TRUE)
			{
				require_once(e_HANDLER."login.php");
				userlogin::update_xup($inp, $_POST['user_xup']);
			}

			$e_event->trigger("postuserset", $_POST);

			// =======================

			if(e_QUERY == "update") {
            	header("Location: index.php");
			}
			$message = "<div style='text-align:center'>".LAN_150."</div>";
			$caption = LAN_151;
		} else {
			$message = "<div style='text-align:center'>".$ret."</div>";
			$caption = LAN_151;
		}
		unset($_POST);
	}
}

if ($error)
{
	require_once(e_HANDLER."message_handler.php");
	message_handler("P_ALERT", $error);
	$adref = $_POST['adminreturn'];
}
// -------------------

if(isset($message))
{
	$ns->tablerender($caption, $message);
	$user = get_user_data($_GET['uid']);
	$sql->db_Delete("online", "online_user_id='".USERID.".".$user['user_name']."'");
}

// ---------------------


if (isset($_GET['uid']) && ADMIN) {
$uuid = $_GET['uid'];
} else {
$uuid = ($_uid) ? $_uid : USERID;
}

$qry = "
SELECT u.*, ue.* FROM #user AS u
LEFT JOIN #user_extended AS ue ON ue.user_extended_id = u.user_id
WHERE u.user_id='".intval($uuid)."'
";

$sql->db_Select_gen($qry);
$curVal=$sql->db_Fetch();
$tmp = ($curVal['user_class'] != "" ? explode(",", $curVal['user_class']) : "");
$tmp[] = e_UC_MEMBER;
$tmp[] = e_UC_READONLY;
$tmp[] = e_UC_PUBLIC;
if($curVal['user_admin'] == 1)
{
	$tmp[] = e_UC_ADMIN;
}
$curVal['userclass_list'] = implode(",", $tmp);

if($_POST)
{     // Fix for all the values being lost when an error occurred.
	foreach($_POST as $key => $val)
	{
		$curVal["user_".$key] = $val;
	}
	foreach($_POST['ue'] as $key => $val)
	{
		$curVal[$key] = $val;
	}
}

require_once(e_HANDLER."form_handler.php");
$rs = new form;


////// DISPLAY TOP INFORMATION ON PAGE \\\\\\\\
if (USER) {
if (isset($_GET['uid'])) {
$id = $_GET['uid'];
} else {
$id = USERID;
}
$sql -> db_Select("user", "*", "user_id=".$id."");
$user = $sql -> db_Fetch();
$sql->mySQLresult = @mysql_query("SELECT user_id, user_friends, user_friends_request FROM ".MPREFIX."alternate_profiles WHERE user_id='".$id."' ");
$friends = $sql->db_Fetch();

// NEW COMMENTS
$sql->mySQLresult = @mysql_query("SELECT user_lastvisit FROM ".MPREFIX."user WHERE user_id='".$id."' ");
$lastvisit = $sql->db_Fetch();

$sql->mySQLresult = @mysql_query("SELECT com_id FROM ".MPREFIX."alternate_profiles_com WHERE com_date > '".$lastvisit['user_lastvisit']."' AND com_to='".$id."' AND com_type='prof' ");
$comnumrows = $sql->db_Rows();

// NEW PIC COMMENTS
$sql->mySQLresult = @mysql_query("SELECT com_id FROM ".MPREFIX."alternate_profiles_com WHERE com_date > '".$lastvisit['user_lastvisit']."' AND com_to='".$id."' AND com_type='pics' ");
$picnumrows = $sql->db_Rows();

// NEW VID COMMENTS
$sql->mySQLresult = @mysql_query("SELECT com_id FROM ".MPREFIX."alternate_profiles_com WHERE com_date > '".$lastvisit['user_lastvisit']."' AND com_to='".$id."' AND com_type='vids' ");
$vidnumrows = $sql->db_Rows();


if ($friends['user_friends_request'] == "") {
$count = 0;
} else {
$break = explode("|", $friends['user_friends_request']);
$count = count($break) - 2;
}

}
// GET AVATAR
if ($pref['profile_avatarwidth'] == '') {
$avwidth = "";
} else {
$avwidth = "width='".$pref['profile_avatarwidth']."' ";
}

if ($pref['profile_avatarheight'] == '') {
$avheight = '';
} else {
$avheight = "height='".$pref['profile_avatarheight']."' ";
}
$sql->mySQLresult = @mysql_query("SELECT user_display FROM ".MPREFIX."alternate_profiles WHERE user_id='".$id."' ");
$display = $sql->db_Fetch();

if ($display['user_display'] == '') {

if($user['user_image'] == "") {
$user_image = "".e_PLUGIN."alternate_profiles/images/noavatar.gif";
$avatar .= "<img src='".$user_image."' border='1' ".$avwidth." ".$avheight."  alt='' />";
}else{
$user_image = $user['user_image'];
require_once(e_HANDLER."avatar_handler.php");
$user_image = avatar($user_image);
$avatar .= "<img src='".$user_image."' border='1' ".$avwidth." ".$avheight." alt='' />";
}

} else {
if (file_exists("userimages/".$id."/".$display['user_display']."")) {

$avatar .= "<img src='userimages/".$id."/".$display['user_display']."' border='1' width='".$avwidth."' height='".$avheight."' alt='' />";
} else {

if($user['user_image'] == "") {
$user_image = "".e_PLUGIN."alternate_profiles/images/noavatar.gif";
$avatar .= "<img src='".$user_image."' border='1' width='".$avwidth."' height='".$avheight."'  alt='' />";
}else{
$user_image = $user['user_image'];
require_once(e_HANDLER."avatar_handler.php");
$user_image = avatar($user_image);
$avatar .= "<img src='".$user_image."' border='1' width='".$avwidth."' height='".$avheight."' alt='' />";
}

}
}

// END OF

if (isset($_GET['uid']) && ADMIN) {
$luid = "&uid=".$_GET['uid']."";
}

// NAVIGATION
$top .= "<table width='100%'><tr><td width='25%' class='indent'>
<center>{$avatar}<br>".$user['user_name']."</center></td><td width='2%'>&nbsp;</td><td style=\"line-height: 165%;\">";

$top .= "<a href='newusersettings.php?".$luid."'>".PROFILE_58."</a><br>";
if ($pref['profile_friends'] == "ON" || $pref['profile_friends'] == "") {
$newfriends = $count." ".PROFILE_65;
$top .= "<a href='newusersettings.php?page=friends".$luid."'>".PROFILE_60."</a><br>";
}
if ($pref['profile_pics'] == "ON" || $pref['profile_pics'] == "") {
$newpiccoms = $picnumrows." ".PROFILE_120."<br/>";
$top .= "<a href='newusersettings.php?page=images".$luid."'>".PROFILE_61."</a><br>";
}
if ($pref['profile_videos'] == "ON" || $pref['profile_videos'] == "") {
$newvidcoms = $vidnumrows." ".PROFILE_121."<br/>";
$top .= "<a href='newusersettings.php?page=videos".$luid."'>".PROFILE_112."</a><br/>";
}
if ($pref['profile_commentson'] == "ON" || $pref['profile_commentson'] == "") {
$newcoms = $comnumrows." ".PROFILE_64."<br/>";
$top .= "<a href='newusersettings.php?page=comments".$luid."'>".PROFILE_62."</a><br>";
}
$top .= "<a href='usersettingshandler.php?".$luid."'>".PROFILE_59."</a><br/>";
if ($pref['profile_stats'] == "ON" || $pref['profile_stats'] == "") {
$top .= "<a href='newusersettings.php?page=settings".$luid."'>".PROFILE_141."</a><br/>";
} else {
$top .= "<a href='newusersettings.php?page=settings".$luid."'>".PROFILE_101."</a><br/>";
}
$top .= "</td><td>".PROFILE_63."..<br/><br/>".$newcoms.$newpiccoms.$newvidcoms.$newfriends."</center></td></tr></table>";

/////// END OF DISPLAY \\\\\\\


$texta = (e_QUERY ? $rs->form_open("post", e_SELF."?".e_QUERY, "dataform", "", " enctype='multipart/form-data'") : $rs->form_open("post", e_SELF, "dataform", "", " enctype='multipart/form-data'"));

if(e_QUERY == "update")
{
	$texta .= "<div class='fborder' style='text-align:center'><br />".str_replace("*","<span style='color:red'>*</span>",LAN_USET_9)."<br />".LAN_USET_10."<br /><br /></div>";
}

$texta .= $tp->parseTemplate($USERSETTINGS_EDIT, TRUE, $usersettings_shortcodes);
$texta .= "<div>";

$texta .= "
	<input type='hidden' name='_uid' value='$uuid' />
	</div>
	</form>
	";

if (isset($pref['referrer_gold']) && !isset($_GET['uid'])) {
$title = PROFILE_98." ".SITEURL."signup.php?id=".$id."";
} elseif (isset($_GET['uid'])) {
$title = ADMIN_PROFILE_15;
}
$ns->tablerender($title, $top.$texta);
//return $texta;
require_once(FOOTERF);

//------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------//

function req($field) {
	global $pref;
	if ($field == 2)
	{
		$ret = "<span style='text-align:right;font-size:15px; color:red'> *</span>";
	}
	else
	{
		$ret = "";
	}
	return $ret;
}
//---------------------------------------------------------------------------------

// Delete a file from the public directories. Return TRUE on success, FALSE on failure.
// Also deletes from database if appropriate.
function delete_file($fname, $dir = 'avatars/')
{
  global $sql;
  if (!$fname) return FALSE;
  
  if (preg_match("#Binary (.*?)/#", $fname, $match)) 
  {
	return $sql -> db_Delete("rbinary", "binary_id='".$tp -> toDB($match[1])."'");
  }
  elseif (file_exists(e_FILE."public/".$dir.$fname)) 
  {
	unlink(e_FILE."public/".$dir.$fname);
	return TRUE;
  }
  return FALSE;
}


function headerjs() {
	global $cal;
	$script = "<script type=\"text/javascript\">
		function addtext_us(sc){
		document.getElementById('dataform').image.value = sc;
		}

		</script>\n";

	$script .= $cal->load_files();
	return $script;
}
?>
